---
title: 'Connect Auth Verify'
description: 'endpoint to verify and complete connecting an auth account to a Snag account'
openapi: GET /api/{authType}/auth/connect
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`GET /api/{authType}/auth/connect` — path parameters: `authType`; query parameters: `code`, `state`, `redditProfileUrl`, `tiktokProfileUrl`, `instagramUsernameOrUrl`, `responseType`

`GET https://admin.snagsolutions.io/api/{authType}/auth/connect`

endpoint to verify and complete connecting an auth account to a Snag account

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Path parameters

- `authType` (string, required)

## Query parameters

- `code` (string)
- `state` (string, required)
- `redditProfileUrl` (string) — The URL of the Reddit profile
- `tiktokProfileUrl` (string) — The URL of the TikTok profile
- `instagramUsernameOrUrl` (string) — The username or URL of the Instagram profile
- `responseType` (string) — The type of response to return, this is not valid for email auth, email auth only supports the redirect flow via verification link.

## Response 200

200
  - response (object) — 200 response for GET /api/{authType}/auth/connect. Success, conflict (account already linked), or verification error.
    - `success` (boolean, required) — Whether the account was linked successfully
    - `error` (string) — The error message if the account was not linked successfully
    - `message` (string) — The message of the response
    - `jwtState` (string) — The JWT state

## Response 400

400
  - response (object) — Schema for bad request response
    - `message` (string, required) — Error message

## Response 403

403
  - response (object) — Schema for forbidden response
    - `message` (string, required) — Error message

## Response 500

500
  - response (object) — Schema for internal server error response
    - `success` (boolean, required) — Indicates operation success
    - `message` (string, required) — Error message
    - `debugInfo` (string) — Optional debug information


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
